.container main {
  padding: 30px;
}

h1 {
  text-align: center;
  color: orange;
  text-shadow: 3px 3px 5px black;
  font-size: 3em;
}
table{
  width: 100%;
  margin: 30px 5px;
}
td{
  text-align: center;
  color: #333;
  font-size: 1.5em;
}
td a{
  text-decoration: none;
  color: #333;
}
td:hover{
  background: orange;
  transition: .3s;
}
td:hover a{
  color: #fff;
}
.gyo {
  text-align: center;
  color: #fff;
  font-size: 2em;
  font-weight: bold;
}
.kotowaza_content {
  position: relative;
  width: 100%;
  margin: 10px 0;
  padding: 20px;
  background: #fff9e5;
  border-radius: 10px;
  border: solid 3px #f7931e;
  text-shadow: 1px 1px 5px #777;
}
.kotowaza_content h2{
  text-align: center;
  font-size: 1.5rem;
  border-bottom: dotted 3px #f7931e;
  margin-bottom: 0.8rem;
}

.kotowaza_content div {
  margin: 10px 0;
}
.yomi::before {
  color: #f7931e;
  content: "【読み】";
  text-shadow: none;
}
.imi::before {
  color: #f7931e;
  content: "【意味】";
  text-shadow: none;
}
.ch {
  font-family: "microsoft yahei", "SF Pro SC";
}
.ch::before {
  color: #f7931e;
  content: "【中国語】";
  text-shadow: none;
}
.ex::before {
  color: #f7931e;
  content: "【例文】";
  text-shadow: none;
}

h2 span.material-symbols-outlined.menu {
  color: #333;
  margin-right: 20px;
  position: absolute;
  top: 0px;
  right: -10px;
  transition: all 0.3s ease;
}
.kotowaza_content h2.active span.material-symbols-outlined.menu {
  opacity: 0;
}
h2 span.material-symbols-outlined.close {
  color: #333;
  margin-right: 20px;
  opacity: 0;
  position: absolute;
  top: 0px;
  right: -10px;
  opacity: 0;
  transition: all 0.3s ease;
}
.kotowaza_content h2.active span.material-symbols-outlined.close {
  opacity: 1;
}

.yomi,
.imi,
.ch,
.ex {
  font-size: 20px;
}
.kotowaza_content .section {
  display: flex;
  flex-direction: column;
  height: 0;
  display: none;
  transition: all 0.3s ease;
}
.kotowaza_content .section.show {
  height: 100%;
  display: flex;
}

@media screen and (max-width: 480px) {
  .container main {
    padding: 5px;
  }
  h1 {
    margin-top: 30px;
    font-size: 1.8rem;
  }
  h2{
    font-size: 1.2rem;
  }
  .kotowaza_content{
    padding: 8px;
  }
}
